Flow (or tests) broken in REL1_25
Closed, ResolvedPublic

Description

Flow seems to be broken in 1.25 and breaking core qunit tests

Annoying me on https://gerrit.wikimedia.org/r/#/c/260308/

https://integration.wikimedia.org/ci/job/mediawiki-extensions-qunit/24112/console

22:53:39 INFO [Chromium 47.0.2526 (Ubuntu)]: Connected on socket yGBvDpw6BB4UQultmRqg with id 71917643
22:53:57 Chromium 47.0.2526 (Ubuntu) ERROR: '[FLOW] ', 'Will not instantiate: no $container.length', Object{0: {length: 0, prevObject: {0: ..., context: ..., length: ...}, context: HTMLDocument{jQuery1113001043388620018959: ..., location: ...}, selector: '.flow-component'}}
22:53:58 ................
22:53:58 ERROR: '[earthquake] Url exceeds maximum length'
22:53:58 .
22:53:58 ERROR: '[earthquake] Url exceeds maximum length'
22:53:59 ................................................................................
22:54:08 ................................................................................
22:54:09 ................................................................................
22:54:09 ...........................
22:54:09 ERROR: '[FLOW] ', 'Could not find .flow-board', Object{0: {0: <div class="flow-component" data-flow-component="board"></div>, length: 1}}
22:54:09 Chromium 47.0.2526 (Ubuntu) ext.flow: FlowBoardComponent FlowBoardComponent.UI.events.apiHandlers.lockTopic - perform unlock FAILED
22:54:09 	Died on test #1     at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:573
22:54:09 	    at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:267:453
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:591)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908)
22:54:09 	    at handlePending (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:160:131)
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:603)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908): Cannot read property 'done' of undefined
22:54:09 	TypeError: Cannot read property 'done' of undefined
22:54:09 	    at FlowBoardComponentApiEventsMixin.UI.events.apiHandlers.lockTopic (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:90:306)
22:54:09 	    at Function.<anonymous> (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:522)
22:54:09 	    at Function.jQuery.extend.each (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:6:235)
22:54:09 	    at Object.triggerEvent (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:436)
22:54:09 	    at Object.<anonymous> (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:929)
22:54:09 	    at Object.Test.run (/mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:885:28)
22:54:09 	    at /mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:1014:11
22:54:09 	    at process (/mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:573:24)
22:54:09 	    at begin (/mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:618:2)
22:54:09 	    at /mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:634:4
22:54:09 	
22:54:09 	Expected 2 assertions, but 1 were run
22:54:09 	    at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:573
22:54:09 	    at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:267:453
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:591)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908)
22:54:09 	    at handlePending (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:160:131)
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:603)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908)
22:54:09 	
22:54:09 ERROR: '[FLOW] ', 'Could not find .flow-board', Object{0: {0: <div class="flow-component" data-flow-component="board"></div>, length: 1}}
22:54:09 Chromium 47.0.2526 (Ubuntu) ext.flow: FlowBoardComponent FlowBoardComponent.UI.events.apiHandlers.lockTopic - perform lock FAILED
22:54:09 	Died on test #1     at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:265:254
22:54:09 	    at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:267:453
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:591)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908)
22:54:09 	    at handlePending (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:160:131)
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:603)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908): Cannot read property 'done' of undefined
22:54:09 	TypeError: Cannot read property 'done' of undefined
22:54:09 	    at FlowBoardComponentApiEventsMixin.UI.events.apiHandlers.lockTopic (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:90:306)
22:54:09 	    at Function.<anonymous> (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:522)
22:54:09 	    at Function.jQuery.extend.each (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:6:235)
22:54:09 	    at Object.triggerEvent (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:264:436)
22:54:09 	    at Object.<anonymous> (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:265:545)
22:54:09 	    at Object.Test.run (/mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:885:28)
22:54:09 	    at /mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:1014:11
22:54:09 	    at process (/mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:573:24)
22:54:09 	    at begin (/mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:618:2)
22:54:09 	    at /mnt/jenkins-workspace/workspace/mediawiki-extensions-qunit/src/node_modules/qunitjs/qunit/qunit.js:634:4
22:54:09 	
22:54:09 	Expected 2 assertions, but 1 were run
22:54:09 	    at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:265:254
22:54:09 	    at http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=Base64.js%7Ceasy-deflate.core%2Cdeflate%7Cext.echo.base%2Coverlay%7Cext.echo.overlay.tests%7Cext.eventLogging%2Cflow%7Cext.eventLogging.tests%7Cext.flow.components%2Ceditor%2Cparsoid%2Cpreview%2Ctemplating%2Ctests%7Cext.flow.components.tests%7Cext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.vendor.storer%7Cext.gather.api%2Clogging%2Cschema%2Cwatchstar%7Cext.gather.collection.base%2Ceditor%7Cext.gather.collection.editor.tests%7Cext.gather.watchstar.icons%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.thanks.mobilediff%7Cext.uls.init%2Cpreferences%2Ctests%7Cext.visualEditor.base%2Ccore%2Cexperimental%2Clanguage%2Cmediawiki%2Cmwalienextension%2Cmwcore%2Cmwformatting%2Cmwgallery%2Cmwimage%2Cmwlink%2Cmwmeta%2Cmwreference%2Cmwtransclusion%2Cstandalone%2CtargetLoader%2Ctest%2Ctrack%2Cve%2CviewPageTarget%7Cext.visualEditor.core.desktop%7Cext.visualEditor.mwimage.core%7Cext.visualEditor.mwreference.core%7Cext.visualEditor.mwtransclusion.core%7Cext.visualEditor.viewPageTarget.init%7Cjquery.accessKeyLabel%2CautoEllipsis%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Culs%7Cjquery.uls.data%2Cgrid%7Cmediawiki.Title%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cnotify%2Cspecial%2Ctemplate%2Ctoc%2Cuser%2Cutil%7Cmediawiki.api.category%2Coptions%2Cparse%2Cwatch%7Cmediawiki.language.data%2Cinit%2Cmonths%2Cnames%2CspecialCharacters%7Cmediawiki.libs.guiders%2Cpluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.skinning.content.parsoid%7Cmediawiki.special.recentchanges%7Cmediawiki.template.handlebars%2Chogan%7Cmediawiki.ui.anchor%2Cbutton%7Cmobile.abusefilter%2Cajax%2Cbrowser%2CcontentOverlays%2Ccontext%2Cdrawers%7Cmobile.editor.api&skin=fallback&version=20151220T225341Z&*:267:453
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:591)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908)
22:54:09 	    at handlePending (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:160:131)
22:54:09 	    at runScript (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:161:603)
22:54:09 	    at execute (http://localhost:9876/jenkins-mediawiki-extensions-qunit-24112/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=20151220T225254Z:162:908)
22:54:09 	
22:54:09 ERROR: '[FLOW] ', 'Could not find .flow-board', Object{0: {0: <div class="flow-component" data-flow-component="board"></div>, length: 1}}
22:54:10 .
22:54:10 ERROR: '[FLOW] ', 'Could not find .flow-board', Object{0: {0: <div class="flow-component" data-flow-component="board"></div>, length: 1}}
22:54:10 ....
22:54:10 ERROR: '[GatherClicks] Missing or empty schema'
22:54:10 .
22:54:10 ERROR: '[GatherClicks] Missing or empty schema'
22:54:11 ................................................................................
22:54:21 ................................................................................
22:54:47 ....................................................WARN [web-server]: 404: /Bar
22:54:57 ..........................
22:54:57 Chromium 47.0.2526 (Ubuntu): Executed 530 of 530 (2 FAILED) (1 min 0.05 secs / 59.832 secs)
22:54:58 Warning: Task "karma:main" failed. Use --force to continue.
22:54:58 
22:54:58 Aborted due to warnings.
Reedy created this task.Dec 20 2015, 10:59 PM
Reedy updated the task description. (Show Details)
Reedy raised the priority of this task from to High.
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy updated the task description. (Show Details)Dec 20 2015, 10:59 PM
Reedy set Security to None.

Even if the fix is not testing Flow on 1.25, I'd be fine with that

hashar added a subscriber: hashar.Dec 21 2015, 11:19 AM

Looks like some QUnit test is falling with: 'Could not find .flow-board', Object{0: {0: <div class="flow-component" data-flow-component="board"></div>, length: 1}}

jayvdb added a subscriber: jayvdb.Jan 6 2016, 3:10 AM
hashar added a subscriber: Paladox.Feb 5 2016, 12:22 PM

Related:

@Paladox has removed rake-jessie / jsduck from Flow@REL1_25 with https://gerrit.wikimedia.org/r/#/c/268557/

The mediawiki-extensions-hhvm job fails due Wikidata on REL1_25 failing to register some resource:

ResourcesTest::testMissingDependencies
The module 'wikibase' required by 'wikibase.datamodel.__namespace' must exist
Failed asserting that an array contains 'wikibase'.

/mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/tests/phpunit/structure/ResourcesTest.php:73
/mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/tests/phpunit/MediaWikiTestCase.php:131

The Wikidata failure is T125965

hashar added a subscriber: Mattflaschen-WMF.

Aced by @Mattflaschen who took care of fixing other projects as well.

Flow got solved by disabling a couple outdated/faulty tests with https://gerrit.wikimedia.org/r/#/c/268797/

Thank you Matt!

Yeah, thanks very much to @Paladox too for his help on this.

@Mattflaschen your welcome. I wonder how we are going to fix REL1_26 branch. The problem is in mediawiki/core

hashar closed this task as Resolved.Feb 19 2016, 11:38 AM

Thank you both to have fixed REL1_25 much appreciated to see people caring about tests results and committing to fix them!

@hashar your welcome. Is there a task on REL1_26 test failures which should really be fixed since that is the latest release.